# Uses of Class
org.codehaus.janino.Java.PrimitiveType

Packages that use Java.PrimitiveType
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.
org.codehaus.janino.util
Application-independent helper classes.

## Uses of Java.PrimitiveType in org.codehaus.janino

Methods in org.codehaus.janino with parameters of type Java.PrimitiveType
Modifier and Type
Method
Description
`R`
Visitor.TypeVisitor.`visitPrimitiveType(Java.PrimitiveType bt)`
Invoked by `accept(Visitor.TypeVisitor)`

## Uses of Java.PrimitiveType in org.codehaus.janino.util

Methods in org.codehaus.janino.util with parameters of type Java.PrimitiveType
Modifier and Type
Method
Description
`Java.Type`
DeepCopier.`copyPrimitiveType(Java.PrimitiveType bt)`
`void`
AbstractTraverser.`traversePrimitiveType(Java.PrimitiveType bt)`
`void`
Traverser.`traversePrimitiveType(Java.PrimitiveType bt)`